Dear Mac Users,

I have a 2003 Emac and I run library 6 (Accordance)
Should I keep Accordance or try to use bibleworks 6 on my mac?